From: [email-masked]
Date: Sun, 10 Jul 94 19:51:26 EDT

I'm told I'm listed in the QRD - the things you don't know when you don't
have direct INTERNET access! 
However, the listing is for Dallas & I'm now in Tulsa & with new e-mail. So
if you can update the info. or tell me where I should go to do so, here t'is:
Tom Neal, POB 4140, Tulsa, OK 74159, 918-832-0233, [email-masked], 
publisher: Tulsa Family News - Tulsa's Lesbian/Gay/Bi communities monthly
newspaper, queer retailer, & GLAAD Outpost.